<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="/">
        <HTML>
        <HEAD>
        <TITLE>Ordered Items</TITLE>
        </HEAD>
        <BODY>

        <H1>Ordered on <xsl:value-of select="AllItems/@OrderDate"/></H1>

        <TABLE BORDER="1" CELLPADDING="5" CELLSPACING="1" BGCOLOR="#E0E0E0">
        <TR>
            <TH>Item</TH>
            <TH>Price</TH>
            <TH>Quantity</TH>
        </TR>

        <!-- Process items contained in /. -->
        <xsl:apply-templates/>

        </TABLE>
        </BODY>
        </HTML>
    </xsl:template>

    <!-- Process an OrderedItem element. -->
    <xsl:template match="OrderedItem">
        <TR>
            <TD><A>
                <xsl:value-of select="Item"/>
            </A></TD>
            <TD ALIGN="Right"><xsl:value-of select="Price"/></TD>
            <TD ALIGN="Right"><xsl:value-of select="Quantity"/></TD>
        </TR>
    </xsl:template>

</xsl:stylesheet>
